class FriendRequestsController < ApplicationController
 	before_filter :authenticate_user!

  def index
    id = current_user.id
    @friend_requests = FriendRequest.where(:receiver_id => id)
  end

  def create
    @receiver = User.find(params[:user_id])
    @friend_request = FriendRequest.new(:sender_id => current_user.id,
                                        :receiver_id => @receiver.id)
    @friend_request.status = 0

    if @friend_request.save
      flash[:notices] ||= []
      flash[:notices] << "Friend request sent!"
      
      redirect_to user_url(@receiver)
    else
      flash[:notices] ||= []
      flash[:notices] << "Oops, your request didn't go through."

      redirect_to root_url
    end
  end

  def confirm
    @friend_request = FriendRequest.find(params[:id])
    receiver_id = params[:user_id]
    sender_id = @friend_request.sender_id
    sender = User.find(sender_id)

    Friendship.create!(:user_id => receiver_id, :friend_id => sender_id)
    Friendship.create!(:user_id => sender_id, :friend_id => receiver_id)

    @friend_request.status = 1; #status 1 = confirmed
    @friend_request.save!

    flash[:notices] ||= []
    flash[:notices] << "You are now connected!"

    redirect_to user_url(sender)
  end

  def deny
    @friend_request = FriendRequest.find(params[:id])
    receiver_id = params[:user_id]
    sender_id = @friend_request.sender_id
    sender = User.find(sender_id)

    @friend_request.status = 2; #status 2 = denied
    @friend_request.save!

    flash[:notices] ||= []
    flash[:notices] << "Request denied."

    redirect_to user_friend_requests_url(current_user)
  end
end