class FriendRequest < ActiveRecord::Base
  attr_accessible :sender_id, :receiver_id

  belongs_to :sender, :class_name => "User", :foreign_key => :sender_id
  belongs_to :receiver, :class_name => "User", :foreign_key => :receiver_id

  validates :receiver_id, :uniqueness => { :scope => :sender_id,
  	:message => "Friend request already sent!"} 
end