class User < ActiveRecord::Base
  # Include default devise modules. Others available are:
  # :token_authenticatable, :confirmable,
  # :lockable, :timeoutable and :omniauthable
  devise :database_authenticatable, :recoverable, :rememberable, :trackable, :validatable

  # Setup accessible (or protected) attributes for your model
  attr_accessible :email, :password, :password_confirmation, :remember_me,
  								:first_name, :last_name, :profile_attributes
  # attr_accessible :title, :body

  has_one :profile, :inverse_of => :user
  accepts_nested_attributes_for :profile
  has_many :friendships
  has_many :friends, :through => :friendships
  
  has_many :sent_friend_requests, :foreign_key => :sender_id, 
           :class_name => "FriendRequest"
  has_many :received_friend_requests, :foreign_key => :receiver_id, 
           :class_name => "FriendRequest"

  validates :first_name, :last_name, :presence => true
end
